Subject: bug#63455: 30.0.50; display-buffer-in-direction is always resizing

From: Juri Linkov <[email-masked]>
Date: Mon, 15 May 2023 20:01:49 +0300

> - When the user customizes 'display-buffer-alist' to call another
>   display action, say 'display-buffer-below-selected', the window will
>   not be resized.   Try without and with the first form evaluated:
>
>   (setq display-buffer-alist
> 	'(("*foo*" display-buffer-below-selected)))
>
>   (pop-to-buffer (get-buffer-create "*foo*")
> 		 '(display-buffer--maybe-at-bottom))

I tried with your patch, and it works correctly.  I guess
this change is for master, not the release branch?

> We could add a buffer-local variable say 'temporary' which the temporary
> buffer functions would set and 'display-buffer' would always obey in
> conjunction with 'temp-buffer-resize-mode'.  Then a program or the user
> could set or reset that variable to obtain the desired behavior with
> plain 'display-buffer' calls as well.  Whether such an option is clean
> is another question.

Maybe temporary buffers should resize windows by default?
Then such an option should be able to override the default behavior.